<?php
switch ($contexthelppage) {


	case "inquiries":
// New Messages
$tip1 = "<b>Customer Messages</b> are received in two ways.<br><br><b>1)</b> The customer mailbox is checked and new messages are fetched automatically upon logging into eMerchant and when the Messages page is opened.<br><br><b>2)</b> Messages from contact forms are posted directly to this inbox.<br><br>Use the <b>icon/links</b> on the right to reply, save, delete, view profile, and view history.<br><br>When a <b>Reply</b> is sent, the original message and the reply are saved to the customer history. If a customer with that email address already exists, the messages are saved to that customer history. If there is not an existing customer with that email address, a new customer profile is created and the messages are saved to the new customer history.<br><br><b>Delete</b> completely deletes the message.<br><br><b>Save</b> saves to an existing customer history or creates a new customer profile if there is not already a customer with that email address.<br><br>The <b>Customer Profile</b> and <b>History</b> icon/links only appear for existing customers. They link directly to each customers information.";

	break;

	case "vendormail":
// Vendor Inbox
$tip1 = "<b>Vendor Messages</b> use a different email address than customer messages. If a vendor mailbox has been setup by the shop administrator, vendor messages are fetched from the POP3 mailbox automatically upon logging into eMerchant AND when the Messages page is opened.<br><br>Use the <b>icon/links</b> on the right to reply, save, delete, view profile, and view history.<br><br>When a <b>Reply</b> is sent, the original message and the reply are saved to the vendor history that matches the reply address. If there is not an existing vendor with that email address, a drop-down box appears in the compose message window to select a vendor. If no vendor is selected, the messages are saved to vendorid 0. Note that when a vendor history is selected, the vendorid is in the address bar. Change it to 0 (zero) and click Go to view messages that have been saved without selecting a vendor. ie: vendorhistory.php?vendor=0<br><br><b>Delete</b> completely deletes the message.<br><br><b>Save</b> saves to an existing vendor history or prompts to select an existing vendor same as Reply does.<br><br>The <b>Vendor Profile</b> and <b>History</b> icon/links only appear for existing vendors. The icons link directly to each vendor information.";

	break;

	case "customer":
// Quick Quote.
$tip1 = "<b>Quick Quote</b> is a fast way to look up prices and calculate shipping and sales tax without creating a customer profile first. It is used to quickly provide quotes during telephone inquiries.";
// Find an existing customer.
$tip2a = "<b>Search by e-mail address</b> finds the customer(s) with partial and complete matches in the email field.";
$tip2b = "<b>Search by name</b> finds the customer(s) with partial or complete matches in the first or last name fields.";
$tip2c = "<b>Search by phone number</b> finds exact matches for all of the digits entered. Extra characters such as hyphen, period, and parentheses are ignored so that the number format does not affect the search results.";
// Add a new customer.
$tip3 = "<b>Add a new customer</b><br><br>All fields must have an entry. When the customer billing information is saved, the page reloads with additional blank fields in which to enter shipping information. If the shipping information is same as billing, leave the fields blank. When nothing is entered in the shipping information fields, the billing information is automatically used for shipping information in quotes and orders.";

	break;

	case "quote":
// Create quote or order.
$tip1 = "<b>Create quote or order</b><br><br>Each order begins as a quote. Create a quote by adding one product or comment at a time. A comment can be used to charge additional fees by entering an amount. You can also use or add predefined comments. Save the quote to the customer history for later processing or process payment and convert it to an order.";
$tip2 = "<b>Edit quote</b><br><br>Edit a quote by adding or deleting products or comments. A comment can be used to charge additional fees by entering an amount. You can also use or add predefined comments. Save the quote to the customer history for later processing or process payment and convert it to an order.";

	break;

	case "vendor":
// Manage purchase orders.
$tip1 = "<b>Manage purchase orders</b><br><br>An unsaved purchase order is automatically generated for each customer order that contains a vendor product. Unsaved purchase orders and purchase orders that have been saved, but have not been sent appear in the Open Orders report.<br><br>When a purchase order is sent to the vendor, it is saved and the sent date is recorded. Sent orders that have not been shipped appear in the Unshipped Purchase Orders report.<br><br>When the purchase order is shipped, but a bill has not been entered yet, the purchase order appears in the Shipped Purchase Orders report<br><br>Purchase orders that have a bill entered can be accessed through the Manage Vendor Bills reports.";
$tip1a = "<b>Edit purchase order, number:</b><br>Enter a valid vendor purchase order number and click Go to find a specific purchase order for viewing and/or editing."; 
$tip1b = "<b>Vendor</b><br>Select a vendor to report for only the selected vendor. Then, click Go next to the report of your choice below. If a vendor is not selected in the drop-down box, all vendors will be included in each status report."; 
$tip1c = "<b>Status of order ID:</b> finds purchase order(s) for a specific order.";
$tip1d = "<b>Open orders</b><br>Use the open orders report to view new customer orders. A new purchase order is automatically generated for each new customer order that contains a vendor product.";
$tip1e = "<b>Unshipped purchase orders</b><br> Unshipped purchase orders are POs where a sent date has been recorded, but a shipment date has not been recorded. This report can be used to ensure that all orders are processed for shipment. It can also be used to record the shipment date when notice of shipments are received from a vendor.";
$tip1f = "<b>Shipped purchase orders</b><br> Shipped purchase orders have had a sent date and a shipped date recorded, but a bill has not been recorded. This report can be used to enter the bill dates and amounts for shipped purchase orders.";
$tip1g = "<b>Create purchase order</b><br> Add a new purchase order without associating it with an existing order.";
// Manage vendor bills... 
$tip2 = " <b>Manage vendor bills</b><br><br>The vendor bill reports can be used to pay vendor bills and to report cost of sales. It may also be useful when reconciling vendor statements to bank or credit card debits.<br><br> Select from the filter and sort options and select to display or download the report. Then, click Go.<br><br>When Download <b>Action</b> is selected, the report is converted to a .csv file with semicolon separated values, which can be downloaded.";
// Manage vendors...
$tip3a = "Select from the <b>Edit vendor</b> drop-down box or search for a vendor.";
$tip3b = "<b>Search by e-mail address</b> finds the vendor(s) with partial and complete matches in the email field.";
$tip3c = "<b>Search by name</b> finds the vendor(s) with partial or complete matches in the vendor name field.";
$tip3d = "<b>Search by phone number</b> finds exact matches for all of the digits entered. Extra characters such as hyphen, period, and parentheses are ignored so that the number format does not affect the search results.";

	break;

	case "purchaseorder":
// Create a purchase order.
$tip1 = "<b>Create a purchase order</b><br><br>Create a purchase order by editing the vendor products it contains or adding comments. A comment can be used to add additional fees by entering an amount. You can also use or add predefined comments. Save the purchase to the vendor history for later processing, send it to the vendor by email or print it out.";
$tip2 = "<b>Edit a purchase order</b><br><br>Edit a purchase order by editing the vendor products it contains or adding comments. A comment can be used to add additional fees by entering an amount. You can also use or add predefined comments. Save the purchase to the vendor history for later processing, send it to the vendor by email or print it out.";

   break;
}
?>